package click.kamil.springstatemachineexporter.model;

public record State(String rawName, String fullIdentifier) {
    public static State of(String name) {
        return new State(name, name);
    }

    public static State of(String raw, String full) {
        return new State(raw, full);
    }

    @Override
    public String toString() {
        return fullIdentifier != null ? fullIdentifier : rawName;
    }
}
